POST SMTTelecom/DeActivateCards
Request Information
URI Parameters
None.
Body Parameters
DeactivationRequestModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Batch | integer |
None. |
|
| SerialFrom | integer |
None. |
|
| SerialTo | integer |
None. |
|
| FaceValue | decimal number |
None. |
|
| DistributorName | string |
None. |
|
| RequestType | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"batch": 1,
"serialFrom": 2,
"serialTo": 3,
"faceValue": 4.1,
"distributorName": "sample string 5",
"requestType": "sample string 6"
}
application/xml, text/xml
Sample:
<DeactivationRequestModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RazaModels.SMTTelecom.APIModels"> <Batch>1</Batch> <DistributorName>sample string 5</DistributorName> <FaceValue>4.1</FaceValue> <RequestType>sample string 6</RequestType> <SerialFrom>2</SerialFrom> <SerialTo>3</SerialTo> </DeactivationRequestModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
HttpResponseMessage| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version |
None. |
|
| Content | HttpContent |
None. |
|
| StatusCode | HttpStatusCode |
None. |
|
| ReasonPhrase | string |
None. |
|
| Headers | Collection of Object |
None. |
|
| RequestMessage | HttpRequestMessage |
None. |
|
| IsSuccessStatusCode | boolean |
None. |